Summary: GNU Binary Utility Development Utilities for Linux/MIPS targets
Name: cross-binutils
Version: 2.13.1
Release: 1
Copyright: GPL
Group: Development/Tools
Source: binutils-2.13.1.tar.gz
BuildRoot: /tmp/binutils-root
%description
binutils is a collection of utilities necessary for compiling programs. It
includes the assembler and linker, as well as a number of other
miscellaneous programs for dealing with executable formats.

%package -n binutils-mips-linux
Summary: Cross-binutils for mips-linux target.
Group: Development/Tools

%description -n binutils-mips-linux
This package contains the programs, files and documentation to compile programs
for big endian Linux/MIPS machines on machine that is not binary compatible.

%package -n binutils-mips64-linux
Summary: Cross-binutils for mips64-linux target.
Group: Development/Tools

%description -n binutils-mips64-linux
This package contains the programs, files and documentation to compile 64-bit
programs for big endian Linux/MIPS machines on machine that is not binary
compatible.

%package -n binutils-mipsel-linux
Summary: Cross-binutils for mipsel-linux target.
Group: Development/Tools

%description -n binutils-mipsel-linux
This package contains the programs, files and documentation to compile programs
for little endian Linux/MIPS machines on machine that is not binary compatible.

%package -n binutils-mips64el-linux
Summary: Cross-binutils for mips64el-linux target.
Group: Development/Tools

%description -n binutils-mips64el-linux
This package contains the programs, files and documentation to compile 64-bit
programs for big endian Linux/MIPS machines on machine that is not binary
compatible.

%prep
%setup -q -n binutils-2.13.1

%build
mkdir target-mips-linux
(cd target-mips-linux && \
	../configure --prefix=/usr --target=mips-linux && \
	make CC=gcc CFLAGS= LDFLAGS=-s)
mkdir target-mipsel-linux
(cd target-mipsel-linux && \
	../configure --prefix=/usr --target=mipsel-linux && \
	make CC=gcc CFLAGS= LDFLAGS=-s)
mkdir target-mips64-linux
(cd target-mips64-linux && \
	../configure --prefix=/usr --target=mips64-linux && \
	make CC=gcc CFLAGS= LDFLAGS=-s)
mkdir target-mips64el-linux
(cd target-mips64el-linux && \
	../configure --prefix=/usr --target=mips64el-linux && \
	make CC=gcc CFLAGS= LDFLAGS=-s)

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
(cd target-mips-linux && \
	make prefix=$RPM_BUILD_ROOT/usr install )
(cd target-mipsel-linux && \
	make prefix=$RPM_BUILD_ROOT/usr install )
(cd target-mips64-linux && \
	make prefix=$RPM_BUILD_ROOT/usr install )
(cd target-mips64el-linux && \
	make prefix=$RPM_BUILD_ROOT/usr install )

%clean
rm -rf $RPM_BUILD_ROOT

%files -n binutils-mips-linux
%doc README
/usr/bin/mips-linux-*
/usr/man/man1/mips-linux-*
/usr/mips-linux

%files -n binutils-mipsel-linux
%doc README
/usr/bin/mipsel-linux-*
/usr/man/man1/mipsel-linux-*
/usr/mipsel-linux

%files -n binutils-mips64-linux
%doc README
/usr/bin/mips64-linux-*
/usr/man/man1/mips64-linux-*
/usr/mips64-linux

%files -n binutils-mips64el-linux
%doc README
/usr/bin/mips64el-linux-*
/usr/man/man1/mips64el-linux-*
/usr/mips64el-linux
